## org.exist.source
Class AbstractSource

    java.lang.Object
      org.exist.source.AbstractSource

All Implemented Interfaces:
  Source

Direct Known Subclasses:
  CocoonSource, DBSource, FileSource, StringSource, URLSource

public abstract class AbstractSource
extends java.lang.Object
implements Source

Author:
  wolf

Field Summary

Fields inherited from interface org.exist.source.Source
`INVALID, UNKNOWN, VALID`

Constructor Summary
`AbstractSource()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`long` `getCacheTimestamp()`
`int` `hashCode()`
`void` `setCacheTimestamp(long timestamp)` Set a timestamp for this source.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.exist.source.Source
`getContent, getKey, getReader, isValid, isValid`

Constructor Detail

### AbstractSource

    public AbstractSource()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getCacheTimestamp

    public long getCacheTimestamp()

  Specified by:
    `getCacheTimestamp` in interface `Source`

### setCacheTimestamp

    public void setCacheTimestamp(long timestamp)

  Description copied from interface: `Source`
  Set a timestamp for this source. This is used by `XQueryPool` to check if a source has timed out.

  Specified by:
    `setCacheTimestamp` in interface `Source`
  Parameters:
    `timestamp` -

Copyright (C) Wolfgang Meier. All rights reserved.